unit Unit14;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TeEngine, Series, ExtCtrls, TeeProcs, Chart;

type
  TForm14 = class(TForm)
    Chart1: TChart;
    Series1: TLineSeries;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Chart1AfterDraw(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
    XAxisTitle:string;
    IndexValue:integer;
  public
    { Public declarations }
    constructor Create(AOwner:TComponent);
    procedure ChangeIndexValue(NewVal:integer);
  end;

var
  Form14: TForm14;

implementation

uses Unit15;

{$R *.dfm}

procedure TForm14.Button1Click(Sender: TObject);
begin
   // Series1.FillSampleValues(10);
   Chart1.Refresh;
end;

procedure TForm14.ChangeIndexValue(NewVal: integer);
begin
   IndexValue:=NewVal;
   Label1.Caption:='Index1: '+IntToStr(IndexValue);
   Chart1.Refresh;
end;

procedure TForm14.Chart1AfterDraw(Sender: TObject);
begin
   Chart1.Axes.Bottom.Title.Caption:= XAxisTitle+ IntToStr(IndexValue);
end;

constructor TForm14.Create(AOwner: TComponent);
begin
   inherited Create(AOwner);
end;

procedure TForm14.FormCreate(Sender: TObject);
begin
   Chart1.View3D:= False;
   IndexValue:=0;
   Label1.Caption:='Index1: '+IntToStr(IndexValue);
   Series1.FillSampleValues(10);
   Chart1.Axes.Bottom.Title.Visible:=True;
   XAxisTitle:='Title:';
   Chart1.Axes.Bottom.Title.Caption:= XAxisTitle+ IntToStr(IndexValue);
   Chart1.Draw;
end;

end.
